# 🎯 xcode2tuist

> 🚧 **Work in Progress**: This tool is currently under active development and not yet ready for production use. Stay tuned for the first release!

Convert your Xcode projects to [Tuist](https://tuist.io) configurations with ease!

## 🚀 Current Status

This project is in early development. While the core functionality is being built, you can:
- Check out the source code
- Try the development version
- Contribute to its development
- Share feedback and feature requests

## ✨ Planned Features

- Converts `.xcodeproj` files to Tuist configuration
- Handles project settings, targets, and dependencies
- Preserves build configurations and phases
- Supports Swift Package Manager dependencies
- Maintains source files, resources, and frameworks organization

## 🛠️ Development Setup

```bash
# Clone the repo
git clone https://github.com/saik0s/xcode2tuist.git
cd xcode2tuist

# Install dependencies using uv
uv pip install -e .

# Run tests
./test/test.sh
```

## 🤝 Contributing

Early contributors are welcome! You can help by:
- Testing the development version
- Opening issues for bugs or feature requests
- Submitting pull requests
- Improving documentation
- Suggesting improvements to the conversion logic

## 📝 License

MIT License - feel free to use this in your projects!
